Bug 1908717 - "missing unit character in duration" error in some network dashboards
Summary: "missing unit character in duration" error in some network dashboards
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Andrew Pickering
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-17 12:21 UTC by Junqi Zhao
Modified: 2021-02-24 15:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:46:22 UTC
Target Upstream Version:


Attachments (Terms of Use)
errors in "Monitoring -> Dashboard" (77.08 KB, image/png)
2020-12-17 12:21 UTC, Junqi Zhao
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7651 0 None closed Bug 1908717: Monitoring Dashboards: Add support for $__rate_interval variable 2021-01-13 07:12:58 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:46:37 UTC

Description Junqi Zhao 2020-12-17 12:21:29 UTC
Created attachment 1739972 [details]
errors in "Monitoring -> Dashboard"

Created attachment 1739972 [details]
errors in "Monitoring -> Dashboard"

Description of problem:
go to "Monitoring -> Dashboard", select "Kubernetes / Compute Resources / Namespace (Pods)", error in "Current Network Usage" panel
"error	1:95: parse error: missing unit character in duration"
see the attached picture, debug in console

take Receive Bandwith API as example, API
sum(irate(container_network_receive_bytes_total{cluster="",+namespace=~"openshift-apiserver"}[$__rate_interval]))+by+(pod)

also checked in 4.6, the parameter is replcaced
sum(irate(container_network_receive_bytes_total{cluster="",+namespace=~"openshift-apiserver"}[5m]))+by+(pod)

Version-Release number of selected component (if applicable):
4.7.0-0.nightly-2020-12-14-165231

How reproducible:
always

Steps to Reproduce:
1. see from description
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Jakub Hadvig 2020-12-23 16:04:51 UTC
We did not have time to fix this issue this sprint. Will fix in next.

Comment 6 errata-xmlrpc 2021-02-24 15:46:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.